Hinweis
Für den Zugriff auf diese Seite ist eine Autorisierung erforderlich. Sie können versuchen, sich anzumelden oder das Verzeichnis zu wechseln.
Für den Zugriff auf diese Seite ist eine Autorisierung erforderlich. Sie können versuchen, das Verzeichnis zu wechseln.
Create a sales invoice line object in Business Central.
HTTP request (v1.0)
Replace the URL prefix for Business Central depending on environment following the guideline.
POST businesscentralPrefix/companies({id})/salesInvoices({id})/salesInvoiceLines
Request headers (v1.0)
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
Request body (v1.0)
In the request body, supply a JSON representation of a salesInvoiceLines object.
Response (v1.0)
If successful, this method returns 201 Created response code and a salesInvoiceLines object in the response body.
Example (v1.0)
Request
Here is an example of a request.
POST https://{businesscentralPrefix}/api/v1.0/companies({id})/salesInvoices({id})/salesInvoiceLines
Content-type: application/json
{
"itemId": "id-value",
"lineType": "Item",
"quantity": 9
}
Related information
Tips for working with the APIs
Sales Invoice Line
Get Sales Invoice Line
Update Sales Invoice Line
Delete Sales Invoice Line